#pragma once

#include "CoreMinimal.h"
#include "DBDPlayerCosmeticHelperActor.h"
#include "BaseKillerCosmeticHelperActor.generated.h"

class UAkComponent;
class AKiller;

UCLASS(Blueprintable)
class DBDCOSMETIC_API ABaseKillerCosmeticHelperActor : public ADBDPlayerCosmeticHelperActor
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	UAkComponent* _akAudioKiller;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AKiller* _killer;

public:
	ABaseKillerCosmeticHelperActor();
};

FORCEINLINE uint32 GetTypeHash(const ABaseKillerCosmeticHelperActor) { return 0; }
